v_vscaler: V_vscaler_v3_0

| v_vscaler Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Data Structures
V_vscaler_v3_0

## Data Structures
struct | XV_Vscaler_l2
| V Scaler Layer 2 data. More...

## Hw Configuration
The following constants define the scaler HW MAX configuration
enum | XV_VSCALER_TYPE
| This typedef eumerates the Scaler Type. More...
enum | XV_VSCALER_TAPS
| This typedef enumerates the supported taps. More...
int | XV_VScalerInitialize (XV_Vscaler_l2 *InstancePtr, u16 DeviceId)
| This function initializes the core instance. More...
void | XV_VScalerStart (XV_Vscaler_l2 *InstancePtr)
| This function starts the vertical scaler core. More...
void | XV_VScalerStop (XV_Vscaler_l2 *InstancePtr)
| This function stops the vertical scaler core. More...
void | XV_VScalerLoadExtCoeff (XV_Vscaler_l2 *InstancePtr, u16 num_phases, u16 num_taps, const short *Coeff)
| This function loads user defined filter coefficients in the scaler coefficient storage. More...
int | XV_VScalerSetup (XV_Vscaler_l2 *InstancePtr, u32 WidthIn, u32 HeightIn, u32 HeightOut, u32 ColorFormat)
| This function configures the scaler core registers with the specified configuration parameters of the axi stream. More...
void | XV_VScalerDbgReportStatus (XV_Vscaler_l2 *InstancePtr)
| This function prints V Scaler status on the console. More...
#define | XV_VSCALER_MAX_V_TAPS (12)
#define | XV_VSCALER_MAX_V_PHASES (64)
#define | XV_VscalerIs420Enabled(InstancePtr) ((InstancePtr)->Vsc.Config.Is420Enabled)
| This macro checks if Vscaler instance is enabled for 4:2:0 processing. More...

## Macro Definition Documentation

#define XV_VscalerIs420Enabled | ( |  | InstancePtr | ) | ((InstancePtr)->Vsc.Config.Is420Enabled)

This macro checks if Vscaler instance is enabled for 4:2:0 processing.

Parameters

  InstancePtr | is pointer to Vscaler core layer 2

Returns
  Returns 1 if condition is TRUE or 0 if FALSE

Referenced by XV_VScalerDbgReportStatus(), and XV_VScalerSetup().

## Enumeration Type Documentation

enum XV_VSCALER_TAPS

This typedef enumerates the supported taps.

enum XV_VSCALER_TYPE

This typedef eumerates the Scaler Type.

## Function Documentation

void XV_VScalerDbgReportStatus | ( | XV_Vscaler_l2 * | InstancePtr | ) |

This function prints V Scaler status on the console.

Parameters

  InstancePtr | is the instance pointer to the core instance.

Returns
  None

References XV_vscaler_Config::BaseAddress, XV_vscaler::Config, XV_vscaler_Config::NumTaps, XV_vscaler_Config::PhaseShift, XV_vscaler_Config::ScalerType, and XV_VscalerIs420Enabled.

int XV_VScalerInitialize | ( | XV_Vscaler_l2 * | InstancePtr,
|  | u16 | DeviceId
| ) |  |

This function initializes the core instance.

Parameters

  InstancePtr | is a pointer to core instance to be worked upon
  DeviceId | is instance id of the core

Returns
  XST_SUCCESS if device is found and initialized XST_DEVICE_NOT_FOUND if device is not found

void XV_VScalerLoadExtCoeff | ( | XV_Vscaler_l2 * | InstancePtr,
|  | u16 | num_phases,
|  | u16 | num_taps,
|  | const short * | Coeff
| ) |  |

This function loads user defined filter coefficients in the scaler coefficient storage.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.
  num_phases | is the number of phases in coefficient table
  num_taps | is the number of taps in coefficient table
  Coeff | is a pointer to user defined filter coefficients table

Returns
  None

References XV_vscaler::Config, and XV_vscaler_Config::PhaseShift.

int XV_VScalerSetup | ( | XV_Vscaler_l2 * | InstancePtr,
|  | u32 | WidthIn,
|  | u32 | HeightIn,
|  | u32 | HeightOut,
|  | u32 | ColorFormat
| ) |  |

This function configures the scaler core registers with the specified configuration parameters of the axi stream.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.
  WidthIn | is the input stream width
  HeightIn | is the input stream height
  HeightOut | is the output stream height
  ColorFormat | is the color format of the stream

Returns
  None

References XV_vscaler::Config, XV_vscaler_Config::PixPerClk, XV_vscaler_Config::ScalerType, and XV_VscalerIs420Enabled.

void XV_VScalerStart | ( | XV_Vscaler_l2 * | InstancePtr | ) |

This function starts the vertical scaler core.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  None

void XV_VScalerStop | ( | XV_Vscaler_l2 * | InstancePtr | ) |

This function stops the vertical scaler core.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  None